<?php if ( !defined( 'ABSPATH' ) ) exit;

	// Post format
	$st_['format'] = ( get_post_format( $post->ID ) && $st_Options['global']['post-formats'][get_post_format( $post->ID )]['status'] && function_exists( 'st_kit' ) ) ? get_post_format( $post->ID ) : 'standard';

	// Feat image
	$st_['is_thumb'] = false;
	if ( $st_['count'] < 3 && has_post_thumbnail() ) {

		$st_['id'] = get_post_thumbnail_id( $post->ID );
		$st_['thumb'] = wp_get_attachment_image_src( $st_['id'], ( $st_['count'] == 1 ? 'st-project-medium' : 'st-project-medium' ) );
		$st_['thumb'] = $st_['thumb'][0];
		$st_['is_thumb'] = true;

	}

	// Subtitle
	$st_['subtitle'] = get_post_meta( $post->ID, 'subtitle_value', true );

	// Loop: A post with thumbnail
	if ( $st_['count'] == 1 && $st_['is_thumb'] == true ) {
		$st_['post-a-with-thumb'] = "\n" .
			'<div class="post-sticky-a post-sticky-a-yes-thumb" itemtype="http://schema.org/Article" itemscope="">' .
				'<a itemprop="url" rel="bookmark" ' . ( $st_['is_thumb'] == true && function_exists( 'st_get_2x' ) ? st_get_2x( $post->ID, 'st-project-medium', 'attr' ) : '' ) . ( $st_['is_thumb'] == true ? ' style="background-image: url(' . $st_['thumb'] . ')"' : '' ) . ' href="' . esc_url( get_permalink() ) . '">' .
					'<div>' .
						'<div class="x">' .
							( function_exists( 'st_wp_get_post_terms' ) ? '<span class="format-before format-' . $st_['format'] . '-before">' . st_wp_get_post_terms( $post->ID, 'category', false ) . '</span>' : '' ) .
							( function_exists( 'wp_review_show_total' ) ? wp_review_show_total( false ) : '' ) .
							'<div class="clear"><!-- --></div>' .
							'<h3 itemprop="name">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</h3>' .
						'</div>' .
						'<div class="y" itemprop="description">' .
							wpautop( esc_attr( get_the_excerpt() ) ) .
						'</div>' .
					'</div>' .
				'</a>' .
				( function_exists('st_schema_org_article_itemscope') ? st_schema_org_article_itemscope( false ) : '' ) .
			'</div>' .
		"\n";
	}

	// Loop: A post without thumbnail
	if ( $st_['count'] == 1 && $st_['is_thumb'] == false ) {
		$st_['post-a-without-thumb'] = "\n" .
			'<div class="post-sticky-a post-sticky-a-no-thumb" itemtype="http://schema.org/Article" itemscope="">' .
				'<a itemprop="url" rel="bookmark" href="' . esc_url( get_permalink() ) . '">' .
					'<div>' .
						'<div class="x">' .
							( function_exists( 'st_wp_get_post_terms' ) ? '<span class="format-before format-' . $st_['format'] . '-before">' . st_wp_get_post_terms( $post->ID, 'category', false ) . '</span>' : '' ) .
							( function_exists( 'wp_review_show_total' ) ? wp_review_show_total( false ) : '' ) .
							'<div class="clear"><!-- --></div>' .
							'<h3 itemprop="name">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</h3>' .
						'</div>' .
						'<div class="y" itemprop="description">' .
							wpautop( esc_attr( get_the_excerpt() ) ) .
						'</div>' .
					'</div>' .
				'</a>' .
				( function_exists('st_schema_org_article_itemscope') ? st_schema_org_article_itemscope( false ) : '' ) .
			'</div>' .
		"\n";
	}

	// Loop: B post with thumbnail
	if ( $st_['count'] == 2 && $st_['is_thumb'] == true ) {
		$st_['post-b-with-thumb'] = 
			'<div class="post-sticky-b post-sticky-b-yes-thumb" itemtype="http://schema.org/Article" itemscope="">' .
				'<a itemprop="url" rel="bookmark" href="' . esc_url( get_permalink() ) . '">' .
					'<div>' .
						( function_exists( 'wp_review_show_total' ) ? wp_review_show_total( false ) : '' ) .
						'<div class="post-sticky-b-img" style="background-image: url(' . $st_['thumb'] . ')"><!-- thumb --></div>' .
						( function_exists( 'st_wp_get_post_terms' ) ? '<span class="format-before format-' . $st_['format'] . '-before">' . st_wp_get_post_terms( $post->ID, 'category', false ) . '</span>' : '' ) .
						'<div class="x">' .
							'<h3 itemprop="name">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</h3>' .
						'</div>' .
						'<div class="y" itemprop="description">' .
							wpautop( esc_attr( get_the_excerpt() ) ) .
						'</div>' .
					'</div>' .
				'</a>' .
				( function_exists('st_schema_org_article_itemscope') ? st_schema_org_article_itemscope( false ) : '' ) .
			'</div>' .
		"\n";
	}

	// Loop: B post without thumbnail
	if ( $st_['count'] == 2 && $st_['is_thumb'] == false ) {
		$st_['post-b-without-thumb'] = 
			'<div class="post-sticky-b post-sticky-b-no-thumb" itemtype="http://schema.org/Article" itemscope="">' .
				'<a itemprop="url" rel="bookmark" href="' . esc_url( get_permalink() ) . '">' .
					'<div>' .
						( function_exists( 'wp_review_show_total' ) ? wp_review_show_total( false ) : '' ) .
						( function_exists( 'st_wp_get_post_terms' ) ? '<span class="format-before format-' . $st_['format'] . '-before">' . st_wp_get_post_terms( $post->ID, 'category', false ) . '</span>' : '' ) .
						'<div class="x">' .
							'<h3 itemprop="name">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</h3>' .
						'</div>' .
						'<div class="y" itemprop="description">' .
							wpautop( esc_attr( get_the_excerpt() ) ) .
						'</div>' .
					'</div>' .
				'</a>' .
				( function_exists('st_schema_org_article_itemscope') ? st_schema_org_article_itemscope( false ) : '' ) .
			'</div>' .
		"\n";
	}

	// Loop: C post
	$st_['post-c'] = 
		( $st_['count'] == 3 ? '<div class="post-sticky-c" itemtype="http://schema.org/Article" itemscope="">' : '' ) . "\n" .
			'<a itemprop="url" rel="bookmark" href="' . esc_url( get_permalink() ) . '">' .
				'<div>' .
					'<h3 itemprop="name">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</h3>' .
				'</div>' .
			'</a>' .
			( function_exists('st_schema_org_article_itemscope') ? st_schema_org_article_itemscope( false ) : '' ) .
			"\n" .
		( $st_['count'] == ( $st_['featured_type'] == 'recent' ? $st_query[$st_['sticky_cat']]->post_count : $st_query->post_count ) ? '</div>' : '' ) .
	"\n";


	// A post
	if ( $st_['count'] == 1 ) {
		$st_['posts_sticky'] .= $st_['is_thumb'] == true ? $st_['post-a-with-thumb'] : $st_['post-a-without-thumb']; }

	// B post
	if ( $st_['count'] == 2 ) {
		$st_['posts_sticky'] .= $st_['is_thumb'] == true ? $st_['post-b-with-thumb'] : $st_['post-b-without-thumb']; }

	// C posts
	if ( $st_['count'] > 2 ) {
		$st_['posts_sticky'] .= $st_['post-c']; }


?>