<?php if ( !defined( 'ABSPATH' ) ) exit;
/*

	Post formats compatible.

*/

	// Define classes
	$st_['class'] = has_post_thumbnail() ? 'post-template post-t12 post-t12-yes-thumb' : 'post-template post-t12 post-t12-no-thumb';

	// Define loop counter
	$st_['c'] = !isset( $st_['c'] ) ? $st_['count'] : $st_['c'] + 1;

	// Odd or Even?
	$st_['class'] .= $st_['count'] % 2 == 0 ? ' even' : ' odd';

	// First
	$st_['class'] .= ' first';


?>
<div class="<?php echo $st_['class']; ?>">

	<?php

		global
			$st_Options,
			$st_Settings;

			// Post format
			$st_['format'] = ( get_post_format( $post->ID ) && $st_Options['global']['post-formats'][get_post_format( $post->ID )]['status'] && function_exists( 'st_kit' ) ) ? get_post_format( $post->ID ) : 'standard';
			$st_['format_label'] = $st_['format'] != 'standard' ? $st_Options['global']['post-formats'][$st_['format']]['label'] : 'Standard';

			// Thumbnail
			if ( has_post_thumbnail() ) {

				$st_['id'] = get_post_thumbnail_id( $post->ID );
				$st_['thumb'] = wp_get_attachment_image_src( $st_['id'], ( 'st-project-medium' ) );
				$st_['thumb'] = $st_['thumb'][0];
				$st_['is_thumb'] = true;

			}
		
			else {
		
				$st_['is_thumb'] = false;
		
			}

			// Gravatar
			$st_['user_id'] = get_the_author_meta( 'ID' );
			$st_['upic'] = get_avatar( get_the_author_meta( 'user_email', $post->post_author ), '50' );
			$st_['posts_url'] = esc_url( get_author_posts_url( $st_['user_id'] ) );

			// Date
			if ( !empty( $st_Settings['nice_time'] ) && $st_Settings['nice_time'] == 'yes' && function_exists( 'st_niceTime' ) ) {
				$st_['date'] = st_niceTime( $post->post_date_gmt ); }
			else {
				$st_['date'] = get_the_time( get_option('date_format'), $post->ID ); }

			// Post format
			$st_['format'] = esc_attr( ( get_post_format( $post->ID ) && $st_Options['global']['post-formats'][get_post_format( $post->ID )]['status'] && function_exists( 'st_kit' ) ) ? get_post_format( $post->ID ) : 'standard' );

			echo '<div class="post-t12-format">';

				if ( file_exists( get_stylesheet_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ) ) {
					include( get_stylesheet_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ); }
			
				else {
					include( get_template_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ); }

			echo '</div>';

		?>

	<div class="post-t12-meta">
		<div class="meta">
			<?php

				// Views
				st_post_meta( false, false, false, false, false, true, false, false, false );

				// Format
				if ( $st_['format'] != 'standard' ) {
					st_post_meta( true, false, false, false, false, false, false, false, false ); }

				// Review
				if ( function_exists( 'wp_review_show_total' ) ) {
					wp_review_show_total(); }
	
			?>
		</div><!-- .meta -->
		<?php

			// Subtitle
			$st_['subtitle'] = get_post_meta( $post->ID, 'subtitle_value', true );

			// Title
			echo '<h3 class="post-title"><a href="' . esc_url( get_permalink() ) . '">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</a></h3>';

		?>
		<a class="button-t12" href="<?php echo esc_url( get_permalink() ) ?>"><span><?php _e( 'More', 'shockmag' ) ?></span></a>
		<div class="post-t12-author">
			<?php

				if ( $st_['format'] != 'status' ) {
					echo '<a href="' . $st_['posts_url'] . '">' . $st_['upic'] . '</a>'; }

				echo sprintf( __( "%s by %s", 'shockmag' ), $st_['date'], '<span>' . get_userdata( $post->post_author )->display_name . '</span>' );

			?>
		</div>
	</div>

	<div class="clear"><!-- --></div>

</div><!-- .post-template -->