<?php if ( !defined( 'ABSPATH' ) ) exit;
/*

	Post formats compatible.

*/

	// Define classes
	$st_['class'] = has_post_thumbnail() ? 'post-template post-t13 post-t13-yes-thumb' : 'post-template post-t13 post-t13-no-thumb';

	// Define loop counter
	$st_['c'] = !isset( $st_['c'] ) ? $st_['count'] : $st_['c'] + 1;

	// Odd or Even?
	$st_['class'] .= $st_['count'] % 2 == 0 ? ' even' : ' odd';

	// First
	$st_['class'] .= ' first';

	global
		$st_Options,
		$st_Settings;

		// Post format
		$st_['format'] = ( get_post_format( $post->ID ) && $st_Options['global']['post-formats'][get_post_format( $post->ID )]['status'] && function_exists( 'st_kit' ) ) ? get_post_format( $post->ID ) : 'standard';
		$st_['format_label'] = $st_['format'] != 'standard' ? $st_Options['global']['post-formats'][$st_['format']]['label'] : 'Standard';

?>

<div class="<?php echo $st_['class']; ?>">

	<div class="post-t13-meta">
		<?php

			// Subtitle
			$st_['subtitle'] = get_post_meta( $post->ID, 'subtitle_value', true );

			// Title
			echo '<h3 class="post-title"><a href="' . esc_url( get_permalink() ) . '">' . esc_attr( get_the_title() ) . ( $st_['subtitle'] ? ' <em>' . esc_attr( $st_['subtitle'] ) . '</em>' : '' ) . '</a></h3>';

		?>
		<div class="meta">
			<?php

				// Views
				st_post_meta( false, false, true, false, false, true, false, false, false );

				// Format
				if ( $st_['format'] != 'standard' ) {
					st_post_meta( true, false, false, false, false, false, false, false, false ); }

				// Review
				if ( function_exists( 'wp_review_show_total' ) ) {
					wp_review_show_total(); }
	
			?>
		</div><!-- .meta -->
		<a class="button-t13" href="<?php echo esc_url( get_permalink() ) ?>"><span><?php _e( 'More', 'shockmag' ) ?></span></a>
	</div>

	<?php

			// Thumbnail
			if ( has_post_thumbnail() ) {

				$st_['id'] = get_post_thumbnail_id( $post->ID );
				$st_['thumb'] = wp_get_attachment_image_src( $st_['id'], ( 'st-project-medium' ) );
				$st_['thumb'] = $st_['thumb'][0];
				$st_['is_thumb'] = true;

			}
		
			else {
		
				$st_['is_thumb'] = false;
		
			}

			// Date
			if ( !empty( $st_Settings['nice_time'] ) && $st_Settings['nice_time'] == 'yes' && function_exists( 'st_niceTime' ) ) {
				$st_['date'] = st_niceTime( $post->post_date_gmt ); }
			else {
				$st_['date'] = get_the_time( get_option('date_format'), $post->ID ); }

			// Post format
			$st_['format'] = esc_attr( ( get_post_format( $post->ID ) && $st_Options['global']['post-formats'][get_post_format( $post->ID )]['status'] && function_exists( 'st_kit' ) ) ? get_post_format( $post->ID ) : 'standard' );

			echo '<div class="post-t13-format">';

				// Excerpt
				if ( $st_['format'] == 'standard' && $st_['is_thumb'] == false ) {
					echo '<div class="st-format-standard-holder">';
						the_excerpt();
					echo '</div>';
				}

				else {

					// Format
					if ( file_exists( get_stylesheet_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ) ) {
						include( get_stylesheet_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ); }
					else {
						include( get_template_directory() . '/includes/posts/formats/' . $st_['format'] . '.php' ); }

				}

			echo '</div>';

		?>

	<div class="clear"><!-- --></div>

</div><!-- .post-template -->